FileContentType (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Class FileContentType

    java.lang.Object
      com.install4j.api.beaninfo.FileContentType

    public class FileContentType

extends java.lang.Object

Enumeration class for all possible file content types for file property descriptors.

See Also:
  `FilePropertyDescriptor.setFileContentType(FileContentType)`

Field Summary
`static FileContentType` | `HTML` The file contains HTML encoded in UTF-8 format.
`static FileContentType` | `OTHER` The file has a content type that cannot be edited in the editors that associated with the other file content types in this enumeration class.
`static FileContentType` | `TEXT` The file contains text encoded in UTF-8 format.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER

    public static final FileContentType OTHER

  The file has a content type that cannot be edited in the editors that associated with the other file content types in this enumeration class. This is the default state for `FilePropertyDescriptor`s.

### TEXT

    public static final FileContentType TEXT

  The file contains text encoded in UTF-8 format. The install4j IDE will provide a text editor that allows the user to edit the file. Also, the user can create text files from within the IDE.

### HTML

    public static final FileContentType HTML

  The file contains HTML encoded in UTF-8 format. The install4j IDE will provide an HTML editor that allows the user to edit the file. Also, the user can create HTML files from within the IDE.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD